/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package filter;

import java.awt.AlphaComposite;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Stroke;

/**
 *
 * @author mm
 */
public abstract class Slow2D {

    AlphaComposite ac;
    private boolean fill;
    private Color color;
    private float alpha;
    private Stroke stroke;

    public Slow2D() {
        alpha = 1;
        ac = AlphaComposite.getInstance(AlphaComposite.SRC_OVER, alpha);
        fill = false;
    }

    void draw(Graphics2D g2) {
        if (stroke != null) {
            g2.setStroke(stroke);
        }
        if (color != null) {
            g2.setColor(color);
        }
        if (ac != null) {
            g2.setComposite(ac);
        }
    }

    public float getAlpha() {
        return alpha;
    }

    public void setAlpha(float alpha) {
        this.alpha = alpha;
        ac = AlphaComposite.getInstance(AlphaComposite.SRC_OVER, alpha);
    }

    public Color getColor() {
        return color;
    }

    public void setColor(Color color) {
        this.color = color;
    }

    public boolean isFill() {
        return fill;
    }

    public void setFill(boolean fill) {
        this.fill = fill;
    }

    public Stroke getStroke() {
        return stroke;
    }

    public void setStroke(Stroke stroke) {
        this.stroke = stroke;
    }
}
